Bug 1257741 - First attempt of saving SNMP alert configurations is failed if UDP transport protocol is used
First attempt of saving SNMP alert configurations is failed if UDP transport ...
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.3.0
Unspecified Unspecified
high Severity medium
: DR01
: JON 3.3.6
Assigned To: Josejulio Martínez
Sunil Kondkar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 16:01 EDT by Harshada
Modified: 2017-05-24 10:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:30:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contains server.log and screenshots to depict the issue (327.92 KB, application/zip)
2015-08-27 16:01 EDT, Harshada
no flags Details

  None (edit)
Description Harshada 2015-08-27 16:01:01 EDT
Created attachment 1067872 [details]
Contains server.log and screenshots to depict the issue

Description of problem:

SNMP alerts reports error when configuring for the first time, using UDP as Transport option. 

This issue is seen while saving the SNMP alert settings with the 'UDP ' option in the 'General Properites'. If UDP is changed to TCP, the settings are saved successfully. And also, now if the 'Transport' is again set to UDP, then the settings are saved successfully!
        
So, as per the observation this issue is seen only for the very first time and that too with Transport set as UDP. If used TCP, the settings are then saved successfully irrespective of the the Transport selected (UDP/TCP).
     


Version-Release number of selected component (if applicable):JON 3.3.0


How reproducible: Always


Steps to Reproduce:
1.Take a fresh install of JON 3.3.0 or an install where you are configuring SNMP alerts for the first time.

2. Go to Aministration->Server Plugins -> SNMP Alerts -> General Properties.

3. Keeping the Transport portocol as UDP, Click on SAVE. 

4. Now select TCP as Transport protocol, and Click on SAVE. 
  
5. Again, select UDP as protocol, click on SAVE. 

Actual results: After step 3,  UI shows an error message as "Failed to save settings". See attached Screenshots.   

Server.log has the following entry (See attached server.log for complete stack trace):
--------------------------------------------------------------------------
WARN  [org.rhq.coregui.server.gwt.PluginGWTServiceImpl] (http-/127.0.0.1:7080-7) Sending exception to client: [1440702225329] : org.rhq.core.domain.plugin.PluginConfigurationRequiredException: Plugin [Alert:SNMP] could not be enabled, because some required configuration fields are not set.
	at org.rhq.enterprise.server.plugin.ServerPluginManagerBean.checkForRequiredConfiguration(ServerPluginManagerBean.java:278) [rhq-server.jar:4.12.0.JON330GA]
	at org.rhq.enterprise.server.plugin.ServerPluginManagerBean.enableServerPlugins(ServerPluginManagerBean.java:245) [rhq-server.jar:4.12.0.JON330GA]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_17]
	......
	......
-----------------------------------------------------------------------------

After step 4, settings are saved successfully. 

Expected results: Settings should be saved successfully after step 3 also. 


Additional info:
Comment 2 Josejulio Martínez 2016-01-25 12:28:33 EST
commit ced8e4d2e3949153d5f78605c9ebd42dd378a784
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Mon Jan 4 18:47:03 2016 -0600
    Bug 1257741 - First attempt of saving SNMP alert configurations is failed if UDP transport protocol is used.
    The property didn't had a default value, it was using "defaultValue" instead of "default".
Comment 3 Mike McCune 2016-03-28 18:47:43 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Simeon Pinder 2016-06-17 21:11:55 EDT
Moving to ON_QA as available to test with JON 3.3.6 DR01 brew build:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=499890
Comment 6 Sunil Kondkar 2016-06-24 04:16:14 EDT
Verified on version : 3.3.0.GA Update 06 Build Number :	675641d:2fcd5b7

Verified that the settings are saved successfully with message 'The settings have been saved' after step 3. There is no exception in server log. Also verified success message after steps 4 and 5.
Comment 8 errata-xmlrpc 2016-07-27 11:30:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.